package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;

/**
 * 菜品评价对象 hs_canteen_evaluate
 *
 * @author songyu
 * @date 2021-11-26
 */

@TableName("hs_canteen_evaluate")
public class HsCanteenEvaluate
{
    private static final long serialVersionUID = 1L;

    /** 菜品评价id */
    @TableId
    private String evaluateId;

    /** 评价编号 */
    @Excel(name = "评价编号")
    private String evaluateNumber;

    /** 菜单编号 */
    @Excel(name = "菜单编号")
    private String menuNumber;

    /** 菜品编号 */
    @Excel(name = "菜品编号")
    private String cuisineNumber;

    /** 菜品名称 */
    @Excel(name = "菜品名称")
    private String cuisineName;

    /** 菜品评分 */
    @Excel(name = "菜品评分")
    private BigDecimal cuisineScore;

    /** 评分原因 */
    @Excel(name = "评分原因")
    private String evaluateReason;

    /** 提交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提交时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitTime;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setEvaluateId(String evaluateId)
    {
        this.evaluateId = evaluateId;
    }

    public String getEvaluateId()
    {
        return evaluateId;
    }
    public void setEvaluateNumber(String evaluateNumber)
    {
        this.evaluateNumber = evaluateNumber;
    }

    public String getEvaluateNumber()
    {
        return evaluateNumber;
    }
    public void setMenuNumber(String menuNumber)
    {
        this.menuNumber = menuNumber;
    }

    public String getMenuNumber()
    {
        return menuNumber;
    }
    public void setCuisineNumber(String cuisineNumber)
    {
        this.cuisineNumber = cuisineNumber;
    }

    public String getCuisineNumber()
    {
        return cuisineNumber;
    }
    public void setCuisineName(String cuisineName)
    {
        this.cuisineName = cuisineName;
    }

    public String getCuisineName()
    {
        return cuisineName;
    }
    public void setCuisineScore(BigDecimal cuisineScore)
    {
        this.cuisineScore = cuisineScore;
    }

    public BigDecimal getCuisineScore()
    {
        return cuisineScore;
    }
    public void setEvaluateReason(String evaluateReason)
    {
        this.evaluateReason = evaluateReason;
    }

    public String getEvaluateReason()
    {
        return evaluateReason;
    }
    public void setSubmitTime(Date submitTime)
    {
        this.submitTime = submitTime;
    }

    public Date getSubmitTime()
    {
        return submitTime;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("evaluateId", getEvaluateId())
            .append("evaluateNumber", getEvaluateNumber())
            .append("menuNumber", getMenuNumber())
            .append("cuisineNumber", getCuisineNumber())
            .append("cuisineName", getCuisineName())
            .append("cuisineScore", getCuisineScore())
            .append("evaluateReason", getEvaluateReason())
            .append("submitTime", getSubmitTime())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
